#!/usr/bin/env ruby

require './TrueLegacyGraphicsCairo'

class Magick::Pixel
	def to_i
		(self.green << 32) + (self.red << 16) + self.blue
	end
end

xy = LegacyGraphics.get_image_size_png(ARGV[0]); colors = []
win = LegacyGraphics.new(nil, nil, nil, nil, xy[1], xy[0], 16, 8, 0, { :file => 'chromakey', :type => 'png' })

while(png_a = ARGV.shift)
	ARGV.each {|png_b|

		puts('diff %s %s' % [png_a, png_b])

		puts('  %s: %d x %d' % [png_a, *a_xy = LegacyGraphics.get_image_size_png(png_a)]); colors = []
		a_xy[1].times {|y|
			a_xy[0].times {|x|
				colors << LegacyGraphics.point(x, y)
			}
		}

		puts('  %s: %d x %d' % [png_b, *b_xy = LegacyGraphics.get_image_size_png(png_b)]); a_xy == b_xy or puts('WARNING: size not match!')
		n = -1; b_xy[1].times {|y|
			b_xy[0].times {|x|
				colors[n += 1].opacity == 0xFFFF and next
				(color = LegacyGraphics.point(x, y)).opacity == 0xFFFF and next
				colors[n].to_i != color.to_i and win.pset(x, y, 1)
			}
		}
	}
end

win.refresh
win.close

__END__

