#!/usr/bin/env ruby

require 'bundler/setup'

require 'curses'
#require './LegacyGraphics'
#require './TrueLegacyGraphics'
#require './TrueLegacyGraphicsGtk2'
require './TrueLegacyGraphicsCairo'

Curses.init_screen if($curses_enable)			# screen 3 (^_^;)
winX = Curses.cols  - 0
winY = Curses.lines - 0
win  = LegacyGraphics.new(winY, winX, 0, 0)
win.clear; win.box('|', '-')					# cls

(0..79).each {|r|
	win.line(0, 399 - r * 5, r * 8, 0, 1)
	win.line(r * 8,   0, 639, r * 5, 2)
	win.line(639, r * 5, 639 - r * 8, 399, 4)
	win.line(639 - r * 8, 399, 0, 399 - r * 5, 7)
}

(0..24).each {|r|
	x = Math.cos((r * 15) * Math::PI / 180) * 150 + 320
	y = Math.sin((r * 15) * Math::PI / 180) * 150 + 200 
	win.line(320, 200, x, y, r % 7 + 1)
}

(0..24).each {|r|
	x = Math.cos((r * 15) * Math::PI / 180) * 150 + 320
	y = Math.sin((r * 15) * Math::PI / 180) * 150 + 200 
	win.cline(x, y, r % 7 + 1)
}

win.refresh
win.getch
win.close

