# coding: utf-8

require 'open-uri'

alias uri_open open
def open(name, *rest, &block)
	cache_name = '#cache#' + name.gsub(/\W/, '_')
	begin
		uri_open(cache_name, *rest, &block)
	rescue
		uri_open(name, *rest) {|html| uri_open(cache_name, 'w') {|cache| cache.write(html.read) } }
		uri_open(cache_name, *rest, &block)
	end
end

