#!/usr/bin/env ruby

#ȥ饤åŰĴ
#	޲򡦤狼ŻҲϩ 3.21 p.134

require 'curses'
#require './LegacyGraphics'
#require './TrueLegacyGraphics'
#require './TrueLegacyGraphicsGtk2'
require './TrueLegacyGraphicsCairo'

Curses.init_screen if($curses_enable)			# screen 3 (^_^;)
winX = Curses.cols  - 0
winY = Curses.lines - 0
win  = LegacyGraphics.new(winY, winX, 0, 0)
win.clear; win.box('|', '-')					# cls

col = 1; ORG = 250
HOR1 = 300; HOR2 = 150; TSC = 20000
VM = 141; PI = 355.0/113; DT = 0.0001			# ٤Τ0.00001ѹ

F = 50; c = 0.22								# input "Hz=", F; input "C(in uF)=", C
BOV = 20										# input "Break-over Voltage=", BOV

infoY = 0
win.locate(1, infoY += 1); win.print("Hz = #{F}")
win.locate(1, infoY += 1); win.print("C(in uF) = #{c}")
win.locate(1, infoY += 1); win.print("Break-over Voltage = #{BOV}")

C = c * 0.000002
B = BOV * 3

win.line(ORG, HOR1, ORG, 20, '|')
win.line(ORG, HOR1, 500, HOR1, '-')
win.line(ORG, HOR1 - HOR2, 500, HOR1 - HOR2, '-')
win.line(ORG, HOR1 - HOR2 - B, 500, HOR1 - HOR2 - B, '=')

([150, 180, 210, 240, 270]).each {|m|
	win.line(ORG + 1, HOR1 - m, ORG - 1, HOR1 - m, '-')
}
([20, 40, 60, 80, 100, 120, 140, 160, 180, 200, 220, 240]).each {|m|
	win.line(ORG + m, HOR1 + 1, ORG + m, HOR1 - 1, '+')
	win.line(ORG + m, HOR1 - HOR2 + 1, ORG + m, HOR1 - HOR2 - 1, '+')
	win.line(ORG + m, HOR1 - HOR2 - B + 1, ORG + m, HOR1 - HOR2 - B - 1, '$')
}

win.locate(31, 19); win.print('0')
win.locate(42, 19); win.print('.005')
win.locate(55, 19); win.print('.01s')
win.locate(40, 10); win.print('- VC Voltage -')
win.locate(39, 20); win.print('- Load Voltage -')

W = 2.0 * PI * F; K = 1.0 / C
([1, 5, 10, 20, 30, 50, 70, 80, 90, 100]).each {|rr| r = rr * 1000	# input "R(in k ohm)=", r
win.locate(1, infoY += 1); win.print("R(in k ohm) = #{rr}")
#	W = 2.0 * PI * F; K = 1.0 / C; vc = 0; vi = 0; sigi = 0.0; i = 0; ls = 1; ts = 0
								   vc = 0;		   sigi = 0.0; i = 0; ls = 1; ts = 0
	#׻Ϥ
	(0..(1.0 / DT)).each {|n|
		vi = Math.sin(W * DT * n) * VM
		break if(W * DT * n > PI)
		if(vc > BOV * 1.3)
#			ls = 0; ts = 1												# Х
			ls = 0
		end
		if(vc > BOV)													# ɲ
					ts = 1
		end
		sigi += i; vc = K * DT * sigi; i = (1.0 / r) * (vi - vc)
#		win.pset(ORG + n * DT * TSC, HOR1 - HOR2 * ls * vc * 3, col)	# !!
		win.pset(ORG + n * DT * TSC, HOR1 - HOR2 - ls * vc * 3, col)
		win.pset(ORG + n * DT * TSC, HOR1 - ts * vi * 2 / 3, col)
	}
	#׻
	col += 1; col = 1 if(col == 8)
}

win.refresh
win.getch
win.close

