#!/usr/bin/env ruby

require './TrueLegacyGraphicsCairo'

# for A4 - 144dpi - 210mm x 297mm - (上下左右の余白 4.23mm)
win = LegacyGraphics.new(nil, nil, nil, nil, 1635, 1142, 16, 8, 7,		{ :file => 'grid', :type => 'pdf' })	# png/pdf/svg/ps

w = 30.0 * 144 / 25.4; h = 18.3 * 144 / 25.4
xs = (1142 -  6 * w) / 2; ys = (1635 - 15 * h) / 2

2.times {
	7.times {|x|
		win.line(xs + x * w, ys, xs + x * w, ys + 15 * h, 0)
	}
	16.times {|y|
		win.line(xs, ys + y * h, xs + 6 * w, ys + y * h, 0)
	}

	win.refresh
}

win.close

__END__

