# coding: utf-8

class Date

	require 'nokogiri'

	@@setsu = {}

	@@sekki24_h = {}; @@sekki24_a = '小寒 大寒 立春 雨水 啓蟄 春分 清明 穀雨 立夏 小満 芒種 夏至 小暑 大暑 立秋 処暑 白露 秋分 寒露 霜降 立冬 小雪 大雪 冬至'.split(' ')
	@@sekki24_a.each_index {|n|
		@@sekki24_h[@@sekki24_a[n]] = n
	}

	def see_site_setsu
		unless(@@setsu[yy = self.strftime('%y')])
			uri = 'http://eco.mtk.nao.ac.jp/koyomi/yoko/20%s/rekiyou%s2.html' % [yy, yy]
			doc = Nokogiri::HTML(open(uri))
			name = angle = mon = day = nil
			days = {}; doc.xpath('//td').each {|td|
#				puts(td)
				if(td.text =~ /(\d+)度/)
					angle = $1.to_i
				elsif(td.text =~ /(\d+)月(\d+)日/)
					mon = $1.to_i; day = $2.to_i
#					puts('%d/%d %d %s' % [mon, day, (it = angle) ? it : 0, name])
					it = (days['%02d%02d' % [mon, day]] ||= [])
					it << {
						:SETSU		=> name,
						:SEKKI24	=> @@sekki24_h[name] ? true : false,
						:MONTH		=> mon,
						:DAY		=> day,
						:ANGLE		=> angle,
					}
					angle = nil
				else
					td.text != '' and name = td.text
				end
			}
			@@setsu[yy] = days
		end
	end

	def setsu
		days = see_site_setsu unless(days = @@setsu[self.strftime('%y')])
		days[self.strftime('%m%d')]
	end
end

__END__

